Subject: Re: [nemo] MR received the HAAD Reply (R flag=0)

From: "K.Kawaguchi" <[email-masked]>
Date: Fri, 14 Jul 2006 12:27:20 +0900

Hi,

I'm sorry for the passage of time.
We open the test specification to the public and are requesting the review.

http://www.ipv6ready.org/announcement/public_review20060621_nemo.html
	#20  NEMO-MR-2-2-1-1-040 - BU accepted (Status = 0 & R = OFF)
	#93  NEMO-MR-5-1-2-1-031 - Receiving HAAD-Reply(R = OFF by NEMO not suppoted & 1st = HA0 & 2nd = HA1)

As for us, IPv6 Ready Logo Phase-2 NEMO will contain the test of this situation now.
However, we haven't the conviction yet.

The test point is that MR looks for HA by using HA-list acquired from HAADReply(Rflag=0).
The following are figures where the test point was summarized.
Is this test content right as the operation based on RFC3963?　Or, is it an excessive demand?

Topology

  -+-------+-------+------+----------- Home link
   |       |       |      |
  HA0     HA1      |      R
                   |      |
                   |    --+--------+-- Foreign Link
                   |               |
                   MR >>>>>>>>>>>> MR  
                      * MR move to foreign link

Message Chart

  HA0     HA1      MR      R1      MR
   |       |       |       |         
   |       |       |       |         
   |       |       |>>>>>>>>>>>>>>>|  1. MR move to foreign link
   |       |               |       |  
   |       | <-------------------- |  2. Binding Update
   |       |               |       |     (Hflag=1, Rflag=1, Lifetime>0)
   |       |               |       |  
   |       | --------------------> |  3. Binding Acknowledgement
   |       |               |       |     (Status=0, Hflag=1, Rflag=0, Lifetime>0)
   |       |               |       |  
   |       | <-------------------- |  4. Home Agent Address Discovery Request
   |       |               |       |     (Rflag=1)
   |       |               |       |  
   |       | --------------------> |  5. Home Agent Address Discovery Reply
   |       |               |       |     (Rflag=0, Address=HA1, HA0)
   |       |               |       |  
   |       | <-------------------- |  6. Binding Update
   |       |               |       |     (Hflag=1, Lifetime=0)
   |       |               |       |  
   |       | --------------------> |  7. Binding Acknowledgement
   |       |               |       |     (Status=0, Hflag=1, Lifetime=0)
   |       |               |       |  
   | <---------------------------- |  8. Binding Update
   |       |               |       |     (Hflag=1, Rflag=1, Lifetime>0)
   |       |               |       |  
   | ----------------------------> |  9. Binding Acknowledgement
   |       |               |       |     (Status=0, Hflag=1, Rflag=1, Lifetime>0)
   |       |               |       |  

Best regards
---
Kiyoaki KAWAGUCHI [email-masked]

"Re: [nemo] MR received the HAAD Reply (R flag=0)"
"Andy Huang <[email-masked]>" wrote:

> I wonder whether any HA can work as RFC3775-HA and RFC3963-HA at the same 
> time.
> It seems that there are no constraints on this point.
> 
> ----- Original Message ----- 
> From: "K.Kawaguchi" <[email-masked]>
> To: <[email-masked]>; <[email-masked]>
> Sent: Friday, June 16, 2006 8:36 AM
> Subject: Re: [nemo] MR received the HAAD Reply (R flag=0)
> 
> 
> > Hi,
> >
> > Do you mean to exclude the possibility that RFC3775-HA includes NEMO-HA
> > in the HA List with (R) flag=0?  I also think that RFC3775-HA should be
> > excluded from NEMO Home Link.  In　a word, all HA supports RFC3963.
> > However, I was anxious about this possibility.  Need not MR basically deal
> > with this possibility?
> >
> >
> > Best regards
> > ---
> > Kiyoaki KAWAGUCHI [email-masked]
> >
> >
> >
> > In message <[email-masked]>
> > "Re: [nemo] MR received the HAAD Reply (R flag=0)"
> > "Andy Huang <[email-masked]>" wrote:
> >
> >> According to RFC3963, it mean that there is no HA which can support MR on
> >> the home link.
> >> And I think it's useless for MR to get MIP-HA list from the DHAAD reply 
> >> when
> >> R Flag in the packet is 0.
> >>
> >> ----- Original Message ----- 
> >> From: "K.Kawaguchi" <[email-masked]>
> >> To: <[email-masked]>
> >> Sent: Thursday, June 15, 2006 3:40 PM
> >> Subject: [nemo] MR received the HAAD Reply (R flag=0)
> >>
> >>
> >> > Hi,
> >> >
> >> > I have a question about RFC3963 section 5.3, 7.2.
> >> >
> >> > The HAAD Reply indicates that the MR Support (R) Flag is 0
> >> > and the list of HA Addresses include many HAs.
> >> > How to process the Mobile Prefix Registration when MR received
> >> > the HAAD Reply.
> >> >
> >> > I assumed the following processing.
> >> > Is there the correct one? Or, another one?
> >> >
> >> >  1. MR tries the Mobile Prefix Registration to HAs in order
> >> >     of list of HA Addresses.
> >> >  2. Almost same as above 1. But MR skips the HA that sent the
> >> >     HAAD Reply.
> >> >  3. MR send the HAAD Requiest again until finding NEMO-HA.
> >> >  4. MR doesn't try the Mobile Prefix Registration.
> >> >  5. In fact, there are no matter since this situation is avoided
> >> >     by the following some solution.
> >> >     eg,
> >> >     - MIP Home Link and NEMO Home Link should be separated.
> >> >     - If MIP Home Link and NEMO Home Link are the same link.
> >> >       - It should be configure to reply by NEMO-HA rather than by 
> >> > MIP-HA.
> >> >         (The HAAD Reply function of MIP-HA isn't enabled.)
> >> >       - Even if HA don't support MR, HA should support the RFC3963.
> >> >         (This MIP-HA supports the RFC3963.  MIP-HA makes the (R) flag 1
> >> >          and the list of HA Addresses except for MIP-HA.)
> >> >
> >> >
> >> > Best regards
> >> > ---
> >> > Kiyoaki KAWAGUCHI [email-masked]
> >> >
> >> > Best regards
> >> > ---
> >> > Kiyoaki KAWAGUCHI [email-masked]
> >> >
> >> >
> >> >
> >>
> >>
> >>
> >>
> >
> >
> > Best regards
> > ---
> > Kiyoaki KAWAGUCHI [email-masked]

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 17 Jul 2006 17:07:02 -0700

let me see if I understand this right. you have two
home agents on the home link one of which supports
mobile routers and the other does not.

>    |       |               |       |     (Rflag=0, Address=HA1, HA0)

even though the DHAAD reply is from HA1, the Rflag
should be set to 1 since

   If a Home Agent receives a
   Dynamic Home Agent Discovery request message with the Mobile Router
   Support Flag set, it MUST reply with a list of Home Agents supporting
   Mobile Routers.  The Mobile Router Support Flag MUST be set if there
   is at least one Home Agent supporting Mobile Routers.

since there is at least one HA (HA0) that supports
mobile routers on the same link, the Rflag should be
set to 1.

however this assumes that HA1 has support for mobile
routers (implementation wise) but has the mobile router
support currently turned off.

RFC 3963 does not support the case where there is a
MIP6 HA (which was never upgraded) and a NEMO HA on the
same link and the DHAAD request comes to the MIP6 HA.
the MIP6 HA would never have processed the R flag in
the home agent information option in the router
advertisement from the NEMO HA. we can try to fix
this when 3963 is revised.

in case the MR consistently gets a DHAAD reply with
the Rflag set to 0, then it should assume that there
are no HAs with mobile router support on the home
link. your test case seems to want the mobile router
to try each HA on the home link by sending a binding
update with the Rflag set to 1. this was never the
intention in the spec (but a mobile router could be
configured to do this).

hope this helps.

Vijay

---

From: "K.Kawaguchi" <[email-masked]>
Date: Tue, 18 Jul 2006 15:07:20 +0900

> support currently turned off.

Yes, I understand if HA1 supports RFC3963.

> intention in the spec (but a mobile router could be

I consented.
The content of this test is outside the specification of
RFC3963.  We will remove the situation in which MIPv6-HA
(which was never upgraded) appears now.

Best regards
---